All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
matrix_maker< boost::numeric::ublas::matrix< T >, F > Struct Template Reference

`#include <matrix_product_float_double.hpp>`

## Public Types

typedef viennacl::matrix< T, F > | result_type

## Static Public Member Functions

static result_type | make (viennacl::matrix< T, F > const &, boost::numeric::ublas::matrix< T > &base)

## Detailed Description

### template<class T, class F>
struct matrix_maker< boost::numeric::ublas::matrix< T >, F >

Definition at line 63 of file matrix_product_float_double.hpp.

## Member Typedef Documentation

template<class T , class F >

typedef viennacl::matrix<T, F> matrix_maker< boost::numeric::ublas::matrix< T >, F >::result_type

Definition at line 65 of file matrix_product_float_double.hpp.

## Member Function Documentation

template<class T , class F >

static result_type matrix_maker< boost::numeric::ublas::matrix< T >, F >::make | ( | viennacl::matrix< T, F > const & | ,
|  | boost::numeric::ublas::matrix< T > & | base
| ) |  |

inline static

Definition at line 66 of file matrix_product_float_double.hpp.

The documentation for this struct was generated from the following file:

- tests/src/matrix_product_float_double.hpp